View Issue Details

IDProjectCategoryView StatusLast Update
0003319Slicer4Module Markupspublic2017-06-10 08:51
ReporterlassoanAssigned Tonicole 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.4.0Fixed in VersionSlicer 4.4.0 
Summary0003319: Markup fiducial coordinates are not updated when dragged near existing fiducials
Description

There are several issues when trying to position markup fiducials close to each other.

See this video: http://screencast.com/t/yppuhMeX6aiV

  1. When a fiducial (F2) is dragged to overlap another fiducial (F1) then while F2 is near F1 the position of F2 in the viewer is continuously updated, but coordinates of F2 are not updated in the module GUI (and probably in the MRML node)

    • After this, when a new fiducial is placed (or another fiducial is moved), F2 jumps to the location corresponding to the coordinates in the module GUI. See at 0:20, 0:54, 1:09 in the video.
  2. When two fiducials are close to each other and the user picks one of them with the mouse pointer, then not the closer fiducial is picked, but the one that was placed earlier. See at 0:36 in the video.
TagsNo tags attached.

Relationships

parent of 0003514 closedyuzheng VTK6 Integration - Slicer code refactoring to not use vktDataObject type argument in pipelines 
related to 0003808 closednicole Impossible to move landmarks, on one, two or three of the slices 

Activities

nicole

nicole

2013-09-03 12:14

administrator   ~0009858

0000002 is an issue with the vtkSeedWidget, will look at 0000001 ASAP.

nicole

nicole

2013-09-13 11:51

administrator   ~0009954

Unfortunately it looks like issue 2 is related to 1, if you're dragging the first placed fiducial, it updates the mrml position continuously as it overlaps later placed ones, but the overlap / drag / update fails if you're dragging any of the other fiducials in the list. I may have to retarget this as it will probably require a patch to VTK to fix.

jcfr

jcfr

2013-09-17 12:29

administrator   ~0009989

For reference: http://www.kitware.com/blog/home/post/374

Would it be worth backporting the picking manager to VTK 5.10 ?

nicole

nicole

2014-03-06 11:12

administrator   ~0011263

Revisit once update to vtk6.

pieper

pieper

2014-03-07 09:49

administrator   ~0011364

This is a vtk issue. For now the workaround would be to zoom in and edit.

nicole

nicole

2014-05-06 13:59

administrator   ~0011708

Last edited: 2014-05-06 14:00

Did a test build against VTK6 with svn 23133, can still reproduce both issues, will investigate to see how to swap over to the new picking manager.

nicole

nicole

2014-05-14 07:59

administrator   ~0011846

Inspecting the vtkSeedWidget, picking is managed by default on it, but not on the interactor. Turning on the picking manager for the interactor solves the issues in this bug.
Investigating the picking managd status of the ROI, it's showing odd picking behaviour when in the scene with fiducials. The ruler seems to function as expected.
The image reslice widget seems to work as expected.

nicole

nicole

2014-05-14 13:12

administrator   ~0011857

Using the new picking manager is checked in for VTK 6 builds as of svn 23178:
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=23178

lassoan

lassoan

2014-05-21 17:57

developer   ~0011940

I've tried it and it looks good. If an official VTK6-based release will be out then this issue can be closed.

nicole

nicole

2014-05-22 06:15

administrator   ~0011941

Glad it works for you! Once VTKv6 is set as the default I'll double check a nightly build and then we can close this issue.

jcfr

jcfr

2014-09-17 23:01

administrator   ~0012532

Closing resolved issues that have not been updated in more than 3 months.

Related Changesets

Import 2017-06-07 23:51:09: master 888f4477

2014-05-14 17:05:01

naucoin

Details Diff
ENH: enable using the picking manager

Turn on the picking manager on the interactor when creating the first
fiducial, ruler, ROI.
Only for VTK6, solves the issue of picking fiducials in placed order
rather than 3d depth order.
Dragging fiducials near other ones will sometimes cause a jump, but now
the 3d glyph position and the MRML node location stay in synch.

Issue 0003319

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23178 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/Annotations/MRMLDM/vtkMRMLAnnotationROIDisplayableManager.cxx Diff File
mod - Modules/Loadable/Annotations/MRMLDM/vtkMRMLAnnotationRulerDisplayableManager.cxx Diff File
mod - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsDisplayableManagerHelper.cxx Diff File
mod - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager2D.cxx Diff File
mod - Modules/Loadable/Markups/MRMLDM/vtkMRMLMarkupsFiducialDisplayableManager3D.cxx Diff File

Issue History

Date Modified Username Field Change
2013-08-24 06:47 lassoan New Issue
2013-08-24 06:47 lassoan Status new => assigned
2013-08-24 06:47 lassoan Assigned To => nicole
2013-09-03 12:14 nicole Note Added: 0009858
2013-09-03 12:14 nicole Target Version => Slicer 4.3.1
2013-09-13 11:51 nicole Note Added: 0009954
2013-09-17 12:29 jcfr Note Added: 0009989
2013-09-24 12:36 nicole Target Version Slicer 4.3.1 => Slicer 4.4.0
2014-03-06 11:12 nicole Note Added: 0011263
2014-03-06 18:16 jcfr Relationship added parent of 0003514
2014-03-07 09:49 pieper Note Added: 0011364
2014-05-06 13:59 nicole Note Added: 0011708
2014-05-06 14:00 nicole Note Edited: 0011708
2014-05-14 07:59 nicole Note Added: 0011846
2014-05-14 13:12 nicole Note Added: 0011857
2014-05-14 13:12 nicole Status assigned => resolved
2014-05-14 13:12 nicole Fixed in Version => Slicer 4.4.0
2014-05-14 13:12 nicole Resolution open => fixed
2014-05-21 17:57 lassoan Note Added: 0011940
2014-05-22 06:15 nicole Note Added: 0011941
2014-08-26 12:30 nicole Relationship added related to 0003808
2014-09-17 22:59 jcfr Status resolved => closed
2014-09-17 23:01 jcfr Note Added: 0012532
2017-06-10 08:51 Changeset attached => Slicer master 888f4477